Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class ContractObjectDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.ContractObjectDAO

public class ContractObjectDAO extends BillingDAO

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractObjectDAO(User user, String billingId)`
  `ContractObjectDAO(User user, DBInfo dbInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractObjectModuleInfo`
  `contractObjectModuleList(int objectId)`
  `void`
  `deleteContractObject(int contractId, int objectId)`
  `ContractObject`
  `getContractObject(int contractId, int objectId)`
  `List<ContractObject>`
  `getContractObjects(int contractId)`
  `Map<Integer,String>`
  `getContractObjectsTypes()`
  `int`
  `updateContractObject(int contractId, int objectId, int typeId, String title, Date dateFrom, Date dateTo)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractObjectDAO

    public ContractObjectDAO(User user, String billingId)

  - ### ContractObjectDAO

    public ContractObjectDAO(User user, DBInfo dbInfo)

- ## Method Details

  - ### getContractObjects

    public List<ContractObject> getContractObjects(int contractId)

  - ### getContractObject

    public ContractObject getContractObject(int contractId, int objectId)

  - ### contractObjectModuleList

    public ContractObjectModuleInfo contractObjectModuleList(int objectId)

  - ### deleteContractObject

    public void deleteContractObject(int contractId, int objectId)

  - ### updateContractObject

    public int updateContractObject(int contractId, int objectId, int typeId, String title, Date dateFrom, Date dateTo)

  - ### getContractObjectsTypes

    public Map<Integer,String> getContractObjectsTypes()